﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Тест
{
    public partial class Form5 : Form
    {
        string osenka;//оценка
        int maxball = 16;//максимальный балл
        int p = 0;//процент
        int count = 0; //номер вопроса
        int max = 2;//количество вопросов(записаных при созданиие массива вопросов)
        int res; //количество правильных ответов

        Questions[] q1;

        class Questions //класс в котором будет храниться вопрос, варианты ответа и правильный ответ
        {
            private string qustion;  // вопрос

            public string Qustion
            {
                get { return qustion; }
                set { qustion = value; }
            }
            private string answer1;   //ответ а)

            public string Answer1
            {
                get { return answer1; }
                set { answer1 = value; }
            }
            private string answer2;   //ответ б)

            public string Answer2
            {
                get { return answer2; }
                set { answer2 = value; }
            }
            private string answer3;   // ответ в)

            public string Answer3
            {
                get { return answer3; }
                set { answer3 = value; }
            }
            private string answer4;  // ответ г)

            public string Answer4
            {
                get { return answer4; }
                set { answer4 = value; }
            }
            private string res;      //правильный ответ

            public string Res
            {
                get { return res; }
                set { res = value; }
            }

            public Questions(string _question, string a, string b, string c, string d, string r)
            {
                this.qustion = _question;
                this.answer1 = a;
                this.answer2 = b;
                this.answer3 = c;
                this.answer4 = d;
                this.res = r;
            }
        }
        
        private Form4 _f4;
        public Form5(Form4 f4)
        {
            InitializeComponent();
            //создаем массив с вопросами, вариантами ответов и правильным ответом
            Questions[] q = { new Questions("1. Основные этапы разработки и исследования моделей на компьютере: \n 1) Описательная информационная модель; \n 2) Формализованная модель; \n 3) Компьютерная модель; \n 4) Компьютерный эксперимент \n 5) Анализ полученных результатов и корректировка исследуемой модели.", "a) 1, 2, 3, 4, 5.;",
                                "b) 2, 3, 4, 5, 1.;", "c) 3, 5, 1, 2, 4.;", "d) 5, 4, 3, 2, 1.", "a"),
                              new Questions("2. Этапы учебной программы курса «Компьютерное моделирование»: \n 1) компьютерное моделирование; \n 2) имитационное моделирование; \n 3) основы моделирования; \n 4) структурные модели. ", "a) 1, 2, 3, 4.;", "b) 2, 3, 4, 1;",
                                "c) 4, 3, 2, 1.;", "d) 1, 3, 2, 4.", "a")
                            };
            q1 = q;

            //задаем первый вопрос
            lbl1.Text = q[0].Qustion;
            //варианты ответа
            radioButton1.Text = q[0].Answer1;
            radioButton2.Text = q[0].Answer2;
            radioButton3.Text = q[0].Answer3;
            radioButton4.Text = q[0].Answer4;
            _f4 = f4;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (count < max) //проверям количество заданых вопросов(больше чем есть в массиве задать не можем)
            {
                // сравниваем выбраный вариант с правильным
                if (radioButton1.Checked == true)
                {
                    if (q1[count].Res == "a")
                    { res++; } //если совпали, то количество правильных вопросов увеличиваем на 1
                }
                if (radioButton2.Checked == true)
                {
                    if (q1[count].Res == "b")
                    { res++; }
                }
                if (radioButton3.Checked == true)
                {
                    if (q1[count].Res == "c")
                    { res++; }
                }
                if (radioButton4.Checked == true)
                {
                    if (q1[count].Res == "d")
                    { res++; }
                }
                count++;
            }

            if ((count < max))
            {
                lbl1.Text = q1[count].Qustion; //задаем слудующий вопрос
                radioButton1.Text = q1[count].Answer1;
                radioButton2.Text = q1[count].Answer2;
                radioButton3.Text = q1[count].Answer3;
                radioButton4.Text = q1[count].Answer4;
            }
            else
            {
                Global.Res += res;
                p = (Global.Res * 100) / maxball;
                if (p < 50)
                {
                    osenka = "неудовлетворительно";
                }

                else if (p >= 50 && p < 75)
                {
                    osenka = "удовлетворительно";
                }
                else if (p >= 75 && p < 85)
                {
                    osenka = "хорошо";
                }
                else if (p >= 85 && p <= 100)
                {
                    osenka = "отлично";
                }
                this.Close();
                StreamWriter save = new StreamWriter("Результат тестирования.txt");
                save.WriteLine("Фамилия: " + Global1.txt1.ToString());
                save.WriteLine("Имя: " + Global1.txt2.ToString());
                save.WriteLine("Количество правильных ответов: " + Global.Res.ToString());
                save.WriteLine("Вы набрали: " + p.ToString() + "%");
                save.WriteLine("Ваша оценка: " + osenka.ToString());
                save.Close();
                System.Diagnostics.Process.Start("Результат тестирования.txt");


            }
            radioButton1.Checked = false;
            radioButton2.Checked = false;
            radioButton3.Checked = false;
            radioButton4.Checked = false;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            DialogResult result = MessageBox.Show("Вы уверены?", "", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (result == DialogResult.Yes) //Если нажал Да
            {
                Close();
            }

        }
    }
}
static class Global
{
    public static int Res;

}